Source: skstream
Priority: optional
Section: libs
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Olek Wojnar <olekw.dev@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libcppunit-dev (>= 1.13.2-2.1),
               dpkg-dev (>= 1.16.1.1)
Standards-Version: 3.9.8
Homepage: https://www.worldforge.org/
Vcs-Git: https://salsa.debian.org/games-team/skstream.git
Vcs-Browser: https://salsa.debian.org/games-team/skstream

Package: libskstream-0.3-7v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libskstream-0.3-7
Replaces: libskstream-0.3-7
Description: iostream-based C++ socket library
 Skstream is a library that makes TCP and UDP sockets available as C++
 iostream-based objects. It is used as the underlying transport layer in
 various WorldForge projects.
 .
 This package contains the library runtime.

Package: libskstream-0.3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libskstream-0.3-7v5 (= ${binary:Version}),
         ${misc:Depends}
Description: iostream-based C++ socket library - development files
 Skstream is a library that makes TCP and UDP sockets available as C++
 iostream-based objects. It is used as the underlying transport layer in
 various WorldForge projects.
 .
 This package contains the files used for developing against the skstream
 library.
